Loading...
Searching...
No Matches
etl::private_poly_span::iterator< TBase > Class Template Reference

## Public Types

typedef TBase | value_type
typedef ptrdiff_t | difference_type
typedef TBase * | pointer
typedef TBase & | reference
typedef ETL_OR_STD::random_access_iterator_tag | iterator_category

## Public Member Functions

| iterator (const iterator &other)
iterator & | operator= (const iterator &rhs)
TBase & | operator* () const
TBase * | operator-> () const
iterator & | operator++ ()
iterator | operator++ (int)
iterator & | operator-- ()
iterator | operator-- (int)
iterator & | operator+= (difference_type offset)
iterator & | operator-= (difference_type offset)

## Friends

template<typename U, size_t Extent>
class | etl::poly_span
template<typename UBase>
class | const_iterator
bool | operator== (const iterator &lhs, const iterator &rhs)
bool | operator!= (const iterator &lhs, const iterator &rhs)
bool | operator< (const iterator &lhs, const iterator &rhs)
bool | operator<= (const iterator &lhs, const iterator &rhs)
bool | operator> (const iterator &lhs, const iterator &rhs)
bool | operator>= (const iterator &lhs, const iterator &rhs)
iterator | operator+ (const iterator &lhs, difference_type offset)
iterator | operator+ (difference_type offset, const iterator &rhs)
iterator | operator- (const iterator &lhs, difference_type offset)
iterator | operator- (difference_type offset, const iterator &rhs)
difference_type | operator- (const iterator &lhs, const iterator &rhs)

The documentation for this class was generated from the following file:

- include/etl/poly_span.h